MONGO(1)

NAME
mongo - the Mongo command-line tool

SYNOPSIS
mongo [OPTIONS] [DB_ADDRESS] [FILE+]

DESCRIPTION

mongo is a JavaScript shell (with GNU readline capabilities). It supports interactive and non-interactive use. When used interactively, JavaScript can be used to query the database or perform any other function normally available with SpiderMonkey. Database output is displayed in JSON format.

If JavaScript files are specified on the command line, the shell will run non-interactively, running each one in sequence and then exiting.

EXAMPLES

mongo
    start the shell, connecting to the server at localhost:27017 and using the test database

mongo foo
    start the shell using the foo database at localhost:27017

mongo 192.169.0.5/foo
    start the shell using the foo database at 192.169.0.5:27017

mongo 192.169.0.5:9999/foo
    start the shell using the foo database at 192.169.0.5:9999

mongo script1.js script2.js script3.js
    run three scripts and exit

OPTIONS

--shell
    run the shell after executing files

--help
    show usage information

--host HOST
    server to connect to (default HOST=localhost)

--port PORT
    port to connect to (default PORT=27017)

--nodb
    do not connect to mongod

--eval SCRIPT
    evaluate JavaScript

--shell
    run the shell after executing files

--quiet
    be less chatty

--version
    show version information

--verbose
    increase verbosity

--ipv6
    enable IPv6 support (disabled by default)

-u|--username USERNAME
    specify user to log in as

-p|--password PASSWORD
    specify password of user

COPYRIGHT

Copyright 2007-2011 10gen

SEE ALSO
For more information, please refer to the MongoDB wiki, available at http://www.mongodb.org.

AUTHOR
Kristina Chodorow